<?php

if (!isset($set['info_select']) || $set['info_select'] == '1') {
    echo "Ffdg $temp_set[info_select]";
}
if (!isset($set['info_select']) || $set['info_select'] == '0') {
    $nams = eregi_replace('\.[^\.]*$', NULL, $nam); // имя файла без расширения
    $img_siz = getimagesize($dir_l . '/' . $nam);
    if (is_file($dir_l . '/' . $nams . '.jpg')) {
        echo "Разрешение: $img_siz[0]*$img_siz[1] пикс.<br />\n";
    } elseif (is_file($dir_l . '/' . $nams . '.png')) {
        echo "Разрешение: $img_siz[0]*$img_siz[1] пикс.<br />\n";
    } elseif (is_file($dir_l . '/' . $nams . '.gif')) {
        echo "Разрешение: $img_siz[0]*$img_siz[1] пикс.<br />\n";
    } elseif (is_file($dir_l . '/' . $nams . '.jpeg')) {
        echo "Разрешение: $img_siz[0]*$img_siz[1] пикс.<br />\n";
    } elseif (is_file($dir_l . '/' . $nams . '.3gp')) {
        if (class_exists('ffmpeg_movie')) {
            $media = new ffmpeg_movie(realpath($dir_l . '/' . $nams . '.3gp'));
            echo "<form class=\"footer\">";
            echo 'Разрешение: ' . $media->GetFrameWidth() . 'x' . $media->GetFrameHeight() . "пикс<br />\n";
            echo 'Частота кадров: ' . $media->getFrameRate() . "<br />\n";
            echo 'Кодек (видео): ' . $media->getVideoCodec() . "<br />\n";

            if (intval($media->getDuration()) > 3599)
                echo 'Время: ' . intval($media->getDuration() / 3600) . ":" . date('s', fmod($media->getDuration() / 60, 60)) . ":" . date('s', fmod($media->getDuration(), 3600)) . "<br />\n";
            elseif (intval($media->getDuration()) > 59)
                echo 'Время: ' . intval($media->getDuration() / 60) . ":" . date('s', fmod($media->getDuration(), 60)) . "<br />\n";
            else
                echo 'Время: ' . intval($media->getDuration()) . " сек<br />\n";
            echo "Битрейт: " . ceil(($media->getBitRate()) / 1024) . " KBPS<br />\n";
        }
    }
    elseif (is_file($dir_l . '/' . $nams . '.asf')) {
        if (class_exists('ffmpeg_movie')) {
            $media = new ffmpeg_movie(realpath($dir_l . '/' . $nams . '.asf'));
            echo "<form class=\"footer\">";
            echo 'Разрешение: ' . $media->GetFrameWidth() . 'x' . $media->GetFrameHeight() . "пикс<br />\n";
            echo 'Частота кадров: ' . $media->getFrameRate() . "<br />\n";
            echo 'Кодек (видео): ' . $media->getVideoCodec() . "<br />\n";

            if (intval($media->getDuration()) > 3599)
                echo 'Время: ' . intval($media->getDuration() / 3600) . ":" . date('s', fmod($media->getDuration() / 60, 60)) . ":" . date('s', fmod($media->getDuration(), 3600)) . "<br />\n";
            elseif (intval($media->getDuration()) > 59)
                echo 'Время: ' . intval($media->getDuration() / 60) . ":" . date('s', fmod($media->getDuration(), 60)) . "<br />\n";
            else
                echo 'Время: ' . intval($media->getDuration()) . " сек<br />\n";
            echo "Битрейт: " . ceil(($media->getBitRate()) / 1024) . " KBPS<br />\n";
        }
    }
    elseif (is_file($dir_l . '/' . $nams . '.avi')) {
        if (class_exists('ffmpeg_movie')) {
            $media = new ffmpeg_movie(realpath($dir_l . '/' . $nams . '.avi'));
            echo "<form class=\"footer\">";
            echo 'Разрешение: ' . $media->GetFrameWidth() . 'x' . $media->GetFrameHeight() . "пикс<br />\n";
            echo 'Частота кадров: ' . $media->getFrameRate() . "<br />\n";
            echo 'Кодек (видео): ' . $media->getVideoCodec() . "<br />\n";

            if (intval($media->getDuration()) > 3599)
                echo 'Время: ' . intval($media->getDuration() / 3600) . ":" . date('s', fmod($media->getDuration() / 60, 60)) . ":" . date('s', fmod($media->getDuration(), 3600)) . "<br />\n";
            elseif (intval($media->getDuration()) > 59)
                echo 'Время: ' . intval($media->getDuration() / 60) . ":" . date('s', fmod($media->getDuration(), 60)) . "<br />\n";
            else
                echo 'Время: ' . intval($media->getDuration()) . " сек<br />\n";
            echo "Битрейт: " . ceil(($media->getBitRate()) / 1024) . " KBPS<br />\n";
        }
    }
    elseif (is_file($dir_l . '/' . $nams . '.flv')) {
        if (class_exists('ffmpeg_movie')) {
            $media = new ffmpeg_movie(realpath($dir_l . '/' . $nams . '.flv'));
            echo "<form class=\"footer\">";
            echo 'Разрешение: ' . $media->GetFrameWidth() . 'x' . $media->GetFrameHeight() . "пикс<br />\n";
            echo 'Частота кадров: ' . $media->getFrameRate() . "<br />\n";
            echo 'Кодек (видео): ' . $media->getVideoCodec() . "<br />\n";

            if (intval($media->getDuration()) > 3599)
                echo 'Время: ' . intval($media->getDuration() / 3600) . ":" . date('s', fmod($media->getDuration() / 60, 60)) . ":" . date('s', fmod($media->getDuration(), 3600)) . "<br />\n";
            elseif (intval($media->getDuration()) > 59)
                echo 'Время: ' . intval($media->getDuration() / 60) . ":" . date('s', fmod($media->getDuration(), 60)) . "<br />\n";
            else
                echo 'Время: ' . intval($media->getDuration()) . " сек<br />\n";
            echo "Битрейт: " . ceil(($media->getBitRate()) / 1024) . " KBPS<br />\n";
        }
    }
    elseif (is_file($dir_l . '/' . $nams . '.mp4')) {
        if (class_exists('ffmpeg_movie')) {
            $media = new ffmpeg_movie(realpath($dir_l . '/' . $nams . '.mp4'));
            echo "<form class=\"footer\">";
            echo 'Разрешение: ' . $media->GetFrameWidth() . 'x' . $media->GetFrameHeight() . "пикс<br />\n";
            echo 'Частота кадров: ' . $media->getFrameRate() . "<br />\n";
            echo 'Кодек (видео): ' . $media->getVideoCodec() . "<br />\n";

            if (intval($media->getDuration()) > 3599)
                echo 'Время: ' . intval($media->getDuration() / 3600) . ":" . date('s', fmod($media->getDuration() / 60, 60)) . ":" . date('s', fmod($media->getDuration(), 3600)) . "<br />\n";
            elseif (intval($media->getDuration()) > 59)
                echo 'Время: ' . intval($media->getDuration() / 60) . ":" . date('s', fmod($media->getDuration(), 60)) . "<br />\n";
            else
                echo 'Время: ' . intval($media->getDuration()) . " сек<br />\n";
            echo "Битрейт: " . ceil(($media->getBitRate()) / 1024) . " KBPS<br />\n";
        }
    }
    elseif (is_file($dir_l . '/' . $nams . '.mpe')) {
        if (class_exists('ffmpeg_movie')) {
            $media = new ffmpeg_movie(realpath($dir_l . '/' . $nams . '.mpe'));
            echo "<form class=\"footer\">";
            echo 'Разрешение: ' . $media->GetFrameWidth() . 'x' . $media->GetFrameHeight() . "пикс<br />\n";
            echo 'Частота кадров: ' . $media->getFrameRate() . "<br />\n";
            echo 'Кодек (видео): ' . $media->getVideoCodec() . "<br />\n";

            if (intval($media->getDuration()) > 3599)
                echo 'Время: ' . intval($media->getDuration() / 3600) . ":" . date('s', fmod($media->getDuration() / 60, 60)) . ":" . date('s', fmod($media->getDuration(), 3600)) . "<br />\n";
            elseif (intval($media->getDuration()) > 59)
                echo 'Время: ' . intval($media->getDuration() / 60) . ":" . date('s', fmod($media->getDuration(), 60)) . "<br />\n";
            else
                echo 'Время: ' . intval($media->getDuration()) . " сек<br />\n";
            echo "Битрейт: " . ceil(($media->getBitRate()) / 1024) . " KBPS<br />\n";
        }
    }
    elseif (is_file($dir_l . '/' . $nams . '.mpeg')) {
        if (class_exists('ffmpeg_movie')) {
            $media = new ffmpeg_movie(realpath($dir_l . '/' . $nams . '.mpeg'));
            echo "<form class=\"footer\">";
            echo 'Разрешение: ' . $media->GetFrameWidth() . 'x' . $media->GetFrameHeight() . "пикс<br />\n";
            echo 'Частота кадров: ' . $media->getFrameRate() . "<br />\n";
            echo 'Кодек (видео): ' . $media->getVideoCodec() . "<br />\n";

            if (intval($media->getDuration()) > 3599)
                echo 'Время: ' . intval($media->getDuration() / 3600) . ":" . date('s', fmod($media->getDuration() / 60, 60)) . ":" . date('s', fmod($media->getDuration(), 3600)) . "<br />\n";
            elseif (intval($media->getDuration()) > 59)
                echo 'Время: ' . intval($media->getDuration() / 60) . ":" . date('s', fmod($media->getDuration(), 60)) . "<br />\n";
            else
                echo 'Время: ' . intval($media->getDuration()) . " сек<br />\n";
            echo "Битрейт: " . ceil(($media->getBitRate()) / 1024) . " KBPS<br />\n";
        }
    }
    elseif (is_file($dir_l . '/' . $nams . '.mpg')) {
        if (class_exists('ffmpeg_movie')) {
            $media = new ffmpeg_movie(realpath($dir_l . '/' . $nams . '.mpg'));
            echo "<form class=\"footer\">";
            echo 'Разрешение: ' . $media->GetFrameWidth() . 'x' . $media->GetFrameHeight() . "пикс<br />\n";
            echo 'Частота кадров: ' . $media->getFrameRate() . "<br />\n";
            echo 'Кодек (видео): ' . $media->getVideoCodec() . "<br />\n";

            if (intval($media->getDuration()) > 3599)
                echo 'Время: ' . intval($media->getDuration() / 3600) . ":" . date('s', fmod($media->getDuration() / 60, 60)) . ":" . date('s', fmod($media->getDuration(), 3600)) . "<br />\n";
            elseif (intval($media->getDuration()) > 59)
                echo 'Время: ' . intval($media->getDuration() / 60) . ":" . date('s', fmod($media->getDuration(), 60)) . "<br />\n";
            else
                echo 'Время: ' . intval($media->getDuration()) . " сек<br />\n";
            echo "Битрейт: " . ceil(($media->getBitRate()) / 1024) . " KBPS<br />\n";
        }
    }
    elseif (is_file($dir_l . '/' . $nams . '.wmv')) {
        if (class_exists('ffmpeg_movie')) {
            $media = new ffmpeg_movie(realpath($dir_l . '/' . $nams . '.wmv'));
            echo "<form class=\"footer\">";
            echo 'Разрешение: ' . $media->GetFrameWidth() . 'x' . $media->GetFrameHeight() . "пикс<br />\n";
            echo 'Частота кадров: ' . $media->getFrameRate() . "<br />\n";
            echo 'Кодек (видео): ' . $media->getVideoCodec() . "<br />\n";

            if (intval($media->getDuration()) > 3599)
                echo 'Время: ' . intval($media->getDuration() / 3600) . ":" . date('s', fmod($media->getDuration() / 60, 60)) . ":" . date('s', fmod($media->getDuration(), 3600)) . "<br />\n";
            elseif (intval($media->getDuration()) > 59)
                echo 'Время: ' . intval($media->getDuration() / 60) . ":" . date('s', fmod($media->getDuration(), 60)) . "<br />\n";
            else
                echo 'Время: ' . intval($media->getDuration()) . " сек<br />\n";
            echo "Битрейт: " . ceil(($media->getBitRate()) / 1024) . " KBPS<br />\n";
        }
    }
}
?>